@import "../../../styles.scss";

$inputHeight: 40px;
.event-page {
    width: 100%;
    height: 100%;

    .create {
        padding: 10px 20px 10px 20px;
        border-bottom: 1px solid $boderColor;
        .btn-create {
            color: white;
            background-color: $btnColor;
            span {
                vertical-align: middle;
                font-size: 15px;
                margin-right: 10px;
            }
        }

        .icon-event {
            margin-top: 5px;
            font-size: 15px;
            vertical-align: middle;
            margin-right: 5px;
        }
    }

    .search {
        width: 250px;
        height: 40px;
        margin: 5px;
    }

    .select {
        width: 130px;
        height: 40px;
        margin: 5px;
    }

    .select-status {
        width: 190px;
        height: 40px;
        margin: 5px;
    }

    .list {
        height: calc(100% - 160px);
        overflow-y: auto;
        .list-item:hover{
            background-color: rgba(255, 123, 0, 0.075);
            
        }
        .list-item {
            padding: 10px;
            border-bottom: 1px solid $boderColor;
            .icon {
                width: 10%;
                color: purple;
            }
            .detail {
                width: 80%;
                .key {
                    color: gray;
                }
                .icon-status {
                    font-size: 15px;
                    vertical-align: middle;
                    margin-right: 5px;
                    color: purple;
                }
                .icon-close {
                    color: green;
                }
            }
            .action {
                width: 10%;

                span {
                    font-size: 18px;
                }
                .btn-delete {
                    color: red;
                }
            }
        }
    }

    /////input/////
    input::placeholder {
        font-size: 12px;
    }
    input {
        font-size: 12px;
    }
    ::ng-deep.mat-mdc-text-field-wrapper.mdc-text-field--outlined .mat-mdc-form-field-infix {
        padding-top: 5px;
        padding-bottom: 4px;
    }
    ::ng-deep .mat-mdc-text-field-wrapper {
        height: $inputHeight;
    }
    ::ng-deep.mat-mdc-form-field-flex {
        height: $inputHeight;
    }
    ///select///
    ::ng-deep .mat-mdc-select-value {
        width: 100%;
        overflow: hidden !important;
        text-overflow: ellipsis !important;
        white-space: nowrap !important;
        font-size: 12px !important;
    }
    ::ng-deep .mat-mdc-option.mdc-list-item {
        font-size: 12px !important;
    }

    ////////
    ///
}

.modal-delete {
    input::placeholder {
        font-size: 12px !important;
    }
    input {
        font-size: 12px !important;
        padding: 0px 5px 0px !important;
        margin-top: 5px !important;
    }
    ::ng-deep.mat-mdc-text-field-wrapper.mdc-text-field--outlined .mat-mdc-form-field-infix {
        padding-top: 0px !important;
        padding-bottom: 4px !important;
    }
    ::ng-deep .mat-mdc-text-field-wrapper {
        height: $inputHeight !important;
        padding: 0px !important;
    }
    ::ng-deep.mat-mdc-form-field-flex {
        height: $inputHeight !important;
    }
}
